org.keycloak.representations.idm

## Class ClaimRepresentation

- java.lang.Object
- - org.keycloak.representations.idm.ClaimRepresentation

-     public class ClaimRepresentation
      extends Object

  Version:
    $Revision: 1 $
  Author:
    Bill Burke

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected boolean` | `address`
    `protected boolean` | `email`
    `protected boolean` | `gender`
    `protected boolean` | `locale`
    `protected boolean` | `name`
    `protected boolean` | `phone`
    `protected boolean` | `picture`
    `protected boolean` | `profile`
    `protected boolean` | `username`
    `protected boolean` | `website`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ClaimRepresentation()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object o)`
    `boolean` | `getAddress()`
    `boolean` | `getEmail()`
    `boolean` | `getGender()`
    `boolean` | `getLocale()`
    `boolean` | `getName()`
    `boolean` | `getPhone()`
    `boolean` | `getPicture()`
    `boolean` | `getProfile()`
    `boolean` | `getUsername()`
    `boolean` | `getWebsite()`
    `int` | `hashCode()`
    `void` | `setAddress(boolean address)`
    `void` | `setEmail(boolean email)`
    `void` | `setGender(boolean gender)`
    `void` | `setLocale(boolean locale)`
    `void` | `setName(boolean name)`
    `void` | `setPhone(boolean phone)`
    `void` | `setPicture(boolean picture)`
    `void` | `setProfile(boolean profile)`
    `void` | `setUsername(boolean username)`
    `void` | `setWebsite(boolean website)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### name

          protected boolean name

    - #### username

          protected boolean username

    - #### profile

          protected boolean profile

    - #### picture

          protected boolean picture

    - #### website

          protected boolean website

    - #### email

          protected boolean email

    - #### gender

          protected boolean gender

    - #### locale

          protected boolean locale

    - #### address

          protected boolean address

    - #### phone

          protected boolean phone

  - ### Constructor Detail

    - #### ClaimRepresentation

          public ClaimRepresentation()

  - ### Method Detail

    - #### getName

          public boolean getName()

    - #### setName

          public void setName(boolean name)

    - #### getUsername

          public boolean getUsername()

    - #### setUsername

          public void setUsername(boolean username)

    - #### getProfile

          public boolean getProfile()

    - #### setProfile

          public void setProfile(boolean profile)

    - #### getPicture

          public boolean getPicture()

    - #### setPicture

          public void setPicture(boolean picture)

    - #### getWebsite

          public boolean getWebsite()

    - #### setWebsite

          public void setWebsite(boolean website)

    - #### getEmail

          public boolean getEmail()

    - #### setEmail

          public void setEmail(boolean email)

    - #### getGender

          public boolean getGender()

    - #### setGender

          public void setGender(boolean gender)

    - #### getLocale

          public boolean getLocale()

    - #### setLocale

          public void setLocale(boolean locale)

    - #### getAddress

          public boolean getAddress()

    - #### setAddress

          public void setAddress(boolean address)

    - #### getPhone

          public boolean getPhone()

    - #### setPhone

          public void setPhone(boolean phone)

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

Copyright © 2020 JBoss by Red Hat. All rights reserved.